Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::HBox Class Reference

A GtkHBox C++ wrapper class. More...

`#include <inti/gtk/box.h>`

Inheritance diagram for Inti::Gtk::HBox:

List of all members.

## Public Member Functions

Constructors

- HBox (bool homogeneous=false, int spacing=0)
    Construct a new HBox with the specified homogeneous and spacing values.
- virtual ~HBox ()
    Destructor.

Accessors

- GtkHBox * gtk_hbox () const
    Get a pointer to the GtkHBox structure.
- GtkHBoxClass * gtk_hbox_class () const
    Get a pointer to the GtkHBoxClass structure.
- operator GtkHBox * () const
    Conversion operator; safely converts a HBox to a GtkHBox pointer.

## Protected Member Functions

Constructors

- HBox (GtkHBox *hbox, bool reference=false)
    Construct a new HBox from an existing GtkHBox.

## Detailed Description

A GtkHBox C++ wrapper class.

HBox is a container that organizes child widgets into a single row. All children are allocated the same height. Use the Box packing interface to determine the arrangement, spacing, width, and alignment of HBox children.

## Constructor & Destructor Documentation

Inti::Gtk::HBox::HBox | ( | GtkHBox * | hbox,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new HBox from an existing GtkHBox. Parameters:
  hbox | A pointer to a GtkHBox.
  reference | Set false if the initial reference count is floating, set true if it's not.
The hbox can be a newly created GtkHBox or an existing GtkHBox. (see G::Object::Object).

Inti::Gtk::HBox::HBox | ( | bool | homogeneous = false,
|  | int | spacing = 0
| ) | `[explicit]`

  | Construct a new HBox with the specified homogeneous and spacing values. Parameters:
  homogeneous | Set true if all children are to be given equal space allotments.
  spacing | The number of pixels to place by default between children.

The documentation for this class was generated from the following file:

- box.h

Main Page - Footer